org.eclipse.microprofile.openapi.annotations.extensions

## Annotation Type Extension

    @Target(value={FIELD,METHOD,PARAMETER,TYPE})
     @Retention(value=RUNTIME)
     @Repeatable(value=Extensions.class)
    public @interface Extension

A named extension that should be added to the OpenAPI definition.

### Required Element Summary

Required Elements
`String` `name` A name for the extension.
`String` `value` The extension value.

### Optional Element Summary

Optional Elements
`boolean` `parseValue` Should the value be parsed into an object/array or other simple type (number, boolean, etc) or left as a simple String.

### Element Detail

#### name

    public abstract String name

A name for the extension.

Returns:
  an option name for these extensions - will be prefixed with "x-"

#### value

    public abstract String value

The extension value. If the value should be parsed into an object or array, then the value should be stringified JSON suitable for parsing by a standard JSON parser.

Returns:
  the actual extension value

#### parseValue

    public abstract boolean parseValue

Should the value be parsed into an object/array or other simple type (number, boolean, etc) or left as a simple String. If this is true, then the value must be parseable as one of:

- JSON object
- JSON array
- number
- boolean

Returns:
  true if the value should be parsed

Default:
  false